# FileParserFactory

Implements \FileParserFactoryInterface

The factory to create fileParsers based on extension name from PhingFile->getFileExtension()

author | Mike Lohmann mike.lohmann@deck36.de
package | phing.system.io

### Methods

## Based on the $name a parser will be returned.

    createParser(string $fileExtension) : \FileParserInterface

### Arguments

#### $fileExtension

`string`

### Response

`\FileParserInterface`

### Constants

## YAMLFILEEXTENSION

    YAMLFILEEXTENSION

const | string

## YAMLFILEEXTENSIONLONG

    YAMLFILEEXTENSIONLONG

const | string